OpenVDB 11.0.0

Loading...
Searching...
No Matches
LeafIndexBase< CoordT, MaskT, LOG2DIM > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafIndexBase< CoordT, MaskT, LOG2DIM >:

## Public Types
using | ValueType = uint64_t
using | FloatType = uint64_t
using | ArrayType = void

## Public Member Functions
bool | hasStats () const
const uint64_t & | firstOffset () const
void | setMin (const ValueType &)
void | setMax (const ValueType &)
void | setAvg (const FloatType &)
void | setDev (const FloatType &)
void | setOn (uint32_t offset)
template<typename T>
void | setOrigin (const T &ijk)

## Static Public Member Functions
static constexpr uint32_t | padding ()
static uint64_t | memUsage ()

## Public Attributes
CoordT | mBBoxMin
uint8_t | mBBoxDif [3]
uint8_t | mFlags
MaskT< LOG2DIM > | mValueMask
uint64_t | mOffset
uint64_t | mPrefixSum

## Static Public Attributes
static constexpr bool | FIXED_SIZE = true

## Member Typedef Documentation

## ◆ ArrayType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ArrayType = void

## ◆ FloatType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using FloatType = uint64_t

## ◆ ValueType

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

using ValueType = uint64_t

## Member Function Documentation

## ◆ firstOffset()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

const uint64_t & firstOffset | ( |  | ) | const
| inline

## ◆ hasStats()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool hasStats | ( |  | ) | const
| inline

## ◆ memUsage()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t memUsage | ( |  | ) |
| inline static

## ◆ padding()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

constexpr uint32_t padding | ( |  | ) |
| inline static constexpr

## ◆ setAvg()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setAvg | ( | const FloatType & |  | ) |
| inline

## ◆ setDev()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setDev | ( | const FloatType & |  | ) |
| inline

## ◆ setMax()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMax | ( | const ValueType & |  | ) |
| inline

## ◆ setMin()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setMin | ( | const ValueType & |  | ) |
| inline

## ◆ setOn()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

void setOn | ( | uint32_t | offset | ) |
| inline

## ◆ setOrigin()

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>
template<typename T>

void setOrigin | ( | const T & | ijk | ) |
| inline

## Member Data Documentation

## ◆ FIXED_SIZE

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

bool FIXED_SIZE = true
| static constexpr

## ◆ mBBoxDif

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mBBoxDif[3]

## ◆ mBBoxMin

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

CoordT mBBoxMin

## ◆ mFlags

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint8_t mFlags

## ◆ mOffset

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mOffset

## ◆ mPrefixSum

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

uint64_t mPrefixSum

## ◆ mValueMask

template<typename CoordT, template< uint32_t > class MaskT, uint32_t LOG2DIM>

MaskT<LOG2DIM> mValueMask